Con
                                                           
  _CLKMODE = XTAL1 + PLL16X                              
  _XINFREQ = 5_000_000
  
  IRP           = 2        'ir receiver i/o port pin
  PING_Pin      = 13                                          ' I/O Pin For PING)))
  LED1          = 8                                          ' I/O PIN for LED 1
  LED2          = 9                                          ' I/O PIN for LED 2
  ON            = 1
  OFF           = 0                                          
  Distlimit     = 6                                          ' In inches 
Var
  long code
  long range
  
Obj
  pst  : "parallax serial terminal"
  irt  : "irtest"
 servo : "PropBOE Servos"               'Servo control object
  ping : "ping"
  
Pub Main
  
  pst.start(115200)
  irt.start(IRP, @code)       'after this "code" will contain the # for button pressed or 255 if no button is being pressed
  
  dira[LED1..LED2]~~
  
  
  repeat
         
    if code == (16)                                         'done, bail
      servo.Set(14, -250)                                    ' P14 servo full speed counterclockwise
      servo.Set (15,250)
      
    elseif code == (17)
      servo.Set (14,200)
      servo.Set (15,-280)
      
    elseif code == (19)
      servo.Set (14, 75)
      servo.Set (15, -250)
      
    elseif code == (18)
      servo.Set (14, 250)
      servo.Set (15, -75)
       
    elseif code == 255               
      servo.Set(14, -10)       
      servo.Set(15, 45)
      '
    outa[LED1..LED2]~
    
    range := ping.Inches(PING_Pin)                      ' Get Range In Inches
  '    
    if range < Distlimit                                 ' Comparing range to a set value of 6 inches
      outa[LED1] := ON                                      ' P1 is on              
      outa[LED2] := OFF                                     ' P2 is off
      servo.Set(14, 250)
      servo.Set(15, -250)
      waitcnt(clkfreq/10 + cnt)
    else
      outa[LED1] := OFF
      outa[LED2] := ON
      
    pst.char(1)                       
    pst.str(string("IR code = "))     
    pst.dec(code)                     
    pst.chars(32, 3)                  
    pst.str(string(13, "Range   = ")) 
    pst.dec(range)                    
    pst.chars(32, 3)                  
    pst.char(13)